# Folder Link plugin for Movable Type
#
# Release 0.01 (Jun 18, 2008)
#
# This software is provided as-is. You may use it for commercial or
# personal use. If you distribute it, please keep this notice intact.
#
# Copyright (c) 2004-2008 Yujiro Araki
package MT::Plugin::FolderLink;

use strict;
use base qw(MT::Plugin);

our $VERSION = '0.01';

my $plugin = MT::Plugin::FolderLink->new ({
    name => 'Folder Link',
    description => "A plugin for the primary category id of the current entry",
    doc_link => 'http://www.koikikukan.com/archives/2008/06/18-022222.php',
    version => $VERSION,
});
MT->add_plugin ($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        tags => {
            function => {
                'FolderLink' => \&_hdlr_folder_link,
            },
        },
    });
}

sub _hdlr_folder_link {
    return $_ unless MT::Template::Context::_check_folder(@_);
    return MT::Template::Context::_hdlr_category_archive(@_);
}

1;
